Bug 1013845 - Problem building against eclipse
Problem building against eclipse
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Krzysztof Daniel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 18:30 EDT by Gerard Ryan
Modified: 2014-01-12 19:28 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 08:52:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerard Ryan 2013-09-30 18:30:07 EDT
Description of problem:
Problem building against eclipse occured when trying to build eclipse-m2e-core. See task: http://koji.fedoraproject.org/koji/taskinfo?taskID=6008267

From build.log:

[ERROR] Cannot resolve project dependencies:
[ERROR]   Software being installed: org.eclipse.m2e.feature.feature.group 1.4.0.qualifier
[ERROR]   Missing requirement: org.eclipse.emf.ecore.feature.group 2.9.0.v20130501-1417 requires 'org.eclipse.emf.ecore [2.9.0.v20130501-1417]' but it could not be found
[ERROR]   Cannot satisfy dependency: org.eclipse.e4.rcp.feature.group 1.2.0.v20130829-1324 depends on: org.eclipse.emf.ecore.feature.group [2.7.0,3.0.0)
[ERROR]   Cannot satisfy dependency: org.eclipse.m2e.feature.feature.group 1.4.0.qualifier depends on: org.eclipse.rcp.feature.group 3.6.0
[ERROR]   Cannot satisfy dependency: org.eclipse.rcp.feature.group 4.3.0.v20130829-1324 depends on: org.eclipse.e4.rcp.feature.group [1.2.0.v20130829-1324]

There's more output available from the task, but this is the part that makes me think it's potentially a problem with Eclipse, rather than eclipse-m2e-core (the package being built).
Comment 1 Krzysztof Daniel 2013-10-01 01:38:06 EDT
I need to start announcing that :-(.

The buildroot was in the process of getting a new Eclipse version, therefore it was broken yesterday, but it should be fine now. I will submit an update in an hour or so.
Comment 2 Krzysztof Daniel 2013-10-01 08:52:22 EDT
it was working before I even started looking at the bug.

Note You need to log in before you can comment on or make changes to this bug.